Bug 229496 - [NEW PORT] devel/py-zeep: Modern/fast python SOAP client based on lxml / requests
Summary: [NEW PORT] devel/py-zeep: Modern/fast python SOAP client based on lxml / requ...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL:
Keywords: feature, needs-qa
Depends on:
Blocks:
 
Reported: 2018-07-03 17:31 UTC by guiseofreality
Modified: 2019-05-30 01:56 UTC (History)
5 users (show)

See Also:


Attachments
shar file (12.96 KB, text/plain)
2018-07-03 17:31 UTC, guiseofreality
no flags Details
shar file v2 (2.95 KB, text/plain)
2018-07-05 03:39 UTC, guiseofreality
no flags Details
zeep-3.3.1 (4.17 KB, patch)
2019-03-27 07:24 UTC, Marcin Cieślak
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description guiseofreality 2018-07-03 17:31:01 UTC
Created attachment 194860 [details]
shar file
Comment 1 Kurt Jaeger freebsd_committer 2018-07-04 05:27:56 UTC
Please test the port with

cd devel/py-zeep
portlint -AC .

Try to fix the warnings and errors reported.
Comment 2 Kurt Jaeger freebsd_committer 2018-07-04 05:36:57 UTC
It seems to fail during a poudriere build right at the end with this error:

byte-compiling /wrkdirs/usr/ports/devel/py-zeep/work-py27/stage/usr/local/lib/python2.7/site-packages/zeep/tornado/bindings.py to bindings.pyc
writing byte-compilation script '/tmp/tmpuxt1JR.py'
/usr/local/bin/python2.7 -O /tmp/tmpuxt1JR.py
  File "/usr/local/lib/python2.7/site-packages/zeep/asyncio/transport.py", line 62
    async def _load_remote_data_async():
            ^
SyntaxError: invalid syntax

  File "/usr/local/lib/python2.7/site-packages/zeep/asyncio/bindings.py", line 8
    async def send(self, client, options, operation, args, kwargs):
            ^
SyntaxError: invalid syntax

removing /tmp/tmpuxt1JR.py

This leads to most of the files from pkg-plist not to be installed. Can you try to test the build in poudriere ?
Comment 3 Kurt Jaeger freebsd_committer 2018-07-04 06:10:11 UTC
Full build log from poudriere:

http://people.freebsd.org/~pi/logs/devel__py-zeep-cur-1530682232.txt
Comment 4 guiseofreality 2018-07-05 03:39:10 UTC
Created attachment 194884 [details]
shar file v2
Comment 5 guiseofreality 2018-07-05 03:55:39 UTC
(In reply to Kurt Jaeger from comment #2)

I've removed the pkg-plist and adjusted the Makefile.  Since asyncio wasn't added until Python 3.5, the aiohttp bindings fail.  I'm going keep working on the port to include flavor-accurate pkg-plists for the next release of this library.  This is building and installing in my fresh poudriere installation against py27, py34, py35, and py36.
Comment 6 guiseofreality 2018-07-05 04:00:54 UTC
(In reply to guiseofreality from comment #5)

Or not, it appears that several of the required libraries only support py27 and py36 flavors so only those two flavors actually completed successfully.
Comment 7 Marcin Cieślak 2019-03-21 13:19:31 UTC
Seems the problem with setup.py being unable to compile 35+ modules on 27 already reported upstream:

https://github.com/mvantellingen/python-zeep/issues/543
Comment 8 Marcin Cieślak 2019-03-27 07:24:22 UTC
Created attachment 203178 [details]
zeep-3.3.1

I have updated the proposed port to version 3.3.1 and included a kludge to not to install files that work only on 3.5+

@guiseofreality@gmail.com I have relaxed some dependencies and I have only included test dependencies present already in the tree.
Comment 9 Kubilay Kocak freebsd_committer freebsd_triage 2019-05-28 15:25:44 UTC
Assignee timeout (8 months)
Comment 10 commit-hook freebsd_committer 2019-05-30 01:55:38 UTC
A commit references this bug:

Author: swills
Date: Thu May 30 01:55:12 UTC 2019
New revision: 503027
URL: https://svnweb.freebsd.org/changeset/ports/503027

Log:
  devel/py-zeep: create port

  A fast and modern Python SOAP client.
  * Compatible with Python 2.7, 3,3, 3.4, 3.5, 3.6 and PyPy.
  * Supports Soap 1.1, Soap 1.2, and HTTP bindings.
  * Support for tornado async transport via gen.coroute (Python 2.7+).
  * Support for asyncio vi aiohttp (Python 3.5+).

  Please see for more information the documentation at
  WWW: http://docs.python-zeep.org.

  PR:		229496
  Submitted by:	guiseofreality@gmail.com
  Submitted by:	Marcin Cie?lak <saper@saper.info> (update, improvements)

Changes:
  head/devel/Makefile
  head/devel/py-zeep/
  head/devel/py-zeep/Makefile
  head/devel/py-zeep/distinfo
  head/devel/py-zeep/files/
  head/devel/py-zeep/files/patch-setup.py
  head/devel/py-zeep/pkg-descr
Comment 11 Steve Wills freebsd_committer 2019-05-30 01:56:17 UTC
Committed, thanks!